(ns forms
  (:require [clj-http.client :as client]))
(def log (.-log js/console))

(defn calc-age [dob]
  (let [diff-ms (- js/Date.now dob.getTime)
        age-dt (js/Date. diff-ms)]
    (js/Math.abs (- age-dt.getUTCFullyYear 1970))))

(defn submit-form [e]
  ;; (e.preventDefault)
  (let [form (js/document.getElementById "form")
        data (js/FormData. form)
        birthdate (js/Date. (get data "birthdate"))
        age (calc-age birthdate)]
    (data.append "age" age)
    (log data)))

(js/document.addEventListener "DOMContentLoaded" submit-form)
